## ros-kinetic-velodyne-driver 1.5.2

=== debian/changelog ===
ros-kinetic-velodyne-driver (1.5.2-0xenial) xenial; urgency=high

  * Merge pull request #212 <https://github.com/ros-drivers/velodyne/issues/212> from ros-drivers/maint/vdump_as_root
    Modifying vdump script for use as root.
    Tested by @andersfischernielsen.
  * Merge pull request #205 <https://github.com/ros-drivers/velodyne/issues/205> from xiesc/master
    support for 64E-S3
  * Contributors: Joshua Whitley, Shichao XIE, xiesc

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 28 Jan 2019 06:00:00 -0000

ros-kinetic-velodyne-driver (1.5.1-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 10 Dec 2018 06:00:00 -0000

ros-kinetic-velodyne-driver (1.5.0-0xenial) xenial; urgency=high

  * Merge pull request #187 <https://github.com/ros-drivers/velodyne/issues/187> from moooeeeep/master
    Fixed sign error in return value of InputSocket::getPacket()
  * bugfix: getPacket() function is expected to return negative value on error
  * Contributors: Fabian Maas, Joshua Whitley

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 19 Oct 2018 05:00:00 -0000

ros-kinetic-velodyne-driver (1.4.0-0xenial) xenial; urgency=high

  * Merge pull request #178 <https://github.com/ros-drivers/velodyne/issues/178> from sts-thm/bugfix_issue_`#174 <https://github.com/ros-drivers/velodyne/issues/174>`_
    Bugfix issue #174 <https://github.com/ros-drivers/velodyne/issues/174>
  * Removed debug outputs
  * Changes fixing deadlock for specific cut_angle values.
  * Merge pull request #135 <https://github.com/ros-drivers/velodyne/issues/135> from cfneuhaus/bugfix
    Bugfix: when no device ip is set, we still want to filter by udp port.
  * Merge pull request #170 <https://github.com/ros-drivers/velodyne/issues/170> from ros-drivers/maint/move_header_files
    Moving header files to traditional location inside include folders.
  * Merge pull request #160 <https://github.com/ros-drivers/velodyne/issues/160> from ros-drivers/maint/updating_package_xml_to_v2
  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.
  * Merge pull request #151 <https://github.com/ros-drivers/velodyne/issues/151> from Axel13fr/feature/No_Communication_Diag_Update
  * Fix packet rate for the Velodyne 32C
  * Conventions: adding name for unused method parameter.
  * Added a periodic update of the diagnostics so that when no data is received at all from the Velodyne, a diagnostic information will be published. The previous implementation would publish diagnostics only on packet reception.
  * Merge pull request #139 <https://github.com/ros-drivers/velodyne/issues/139> from ASDeveloper00/vlp32
    Adding support for VLP-32C.
  * Merge pull request #138 <https://github.com/ros-drivers/velodyne/issues/138> from volkandre/cut_at_specified_angle_feature
  * cut_angle parameter is now in rad according to REP 103
  * Fixed timestamp related bug found by @cfneuhaus, which was described here: https://github.com/ros-drivers/velodyne/pull/126#discussion_r154137793
  * bugfix: when no device ip is set, we still want to filter by udp port.
  * Contributors: Andre Volk, CNR, Denis Dillenberger, Frank Neuhaus, Jack O'Quin, Joshua Whitley, Sammy Pfeiffer, Tobias Athmer, axd, kennouni

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Wed, 19 Sep 2018 05:00:00 -0000

ros-kinetic-velodyne-driver (1.3.0-0xenial) xenial; urgency=high

  * Merge pull request #129 <https://github.com/ros-drivers/velodyne/issues/129> from kmhallen/pluginlib_macro
    Modern pluginlib macro
  * Update to use non deprecated pluginlib macro
  * add launch args to support multiple devices (#108 <https://github.com/ros-drivers/velodyne/issues/108>)
  * Merge pull request #101 <https://github.com/ros-drivers/velodyne/issues/101> from teosnare/master
    velodyne_driver/src/lib/input.cc : fix for device_ip filter
  * Merge pull request #104 <https://github.com/ros-drivers/velodyne/issues/104> from altrouge/launch_options
    Add more options in launch files.
  * Rearranged alphabetically.
  * Add more options in launch files.
    - rpm, device_ip, port, read_once, read_fast, repeat_delay
  * velodyne_driver/src/lib/input.cc : fix for device_ip filter
    Fix for device_ip filter in InputSocket: initialization of devip_ for correct ip filtering in InputSocket::getPacket.
  * velodyne_driver: credit @priyankadey for VLP-16 bug fix (#96 <https://github.com/ros-drivers/velodyne/issues/96>)
  * Merge pull request #96 <https://github.com/ros-drivers/velodyne/issues/96> from priyankadey/master
    updated VLP-16 packet rate from user manual.
  * updated VLP-16 packet rate from user manual.
    Also verified with sensor. It reduced overlap in the pointcloud
  * update change history
  * Merge pull request #94 <https://github.com/ros-drivers/velodyne/issues/94> from ros-drivers/pcap_port
    velodyne_driver: use port number for PCAP data (#46 <https://github.com/ros-drivers/velodyne/issues/46>, #66 <https://github.com/ros-drivers/velodyne/issues/66>)
  * fix g++ 5.3.1 compile errors (#94 <https://github.com/ros-drivers/velodyne/issues/94>)
  * merge current master (#94 <https://github.com/ros-drivers/velodyne/issues/94>)
  * Merge pull request #91 <https://github.com/ros-drivers/velodyne/issues/91> from chukcha2/master
    update velodyne_driver package description to include all models
  * update velodyne_driver package description to include all models
  * Merge pull request #89 <https://github.com/ros-drivers/velodyne/issues/89> from Tones29/feat_dynrec_driver
    Add dynamic latency configuration to velodyne_driver
  * velodyne_driver: Add dynamic_reconfigure and time_offset correction
    The value of time_offset is added to the calculated time stamp in live mode for each packet.
  * velodyne_driver: Make input destructors virtual

